Skip to main content
GET
/
v1
/
conversations
List conversations
curl --request GET \
  --url https://api.avidoai.com/v1/conversations \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2024-01-05T12:34:56.789Z",
      "modifiedAt": "2024-01-05T12:34:56.789Z",
      "quickstartId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "pagination": {
    "skip": 0,
    "limit": 25,
    "total": 100,
    "totalPages": 4,
    "totalCount": 100
  }
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
enum<string>

Field to order conversations by

Available options:
createdAt,
modifiedAt
Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

quickstartId
string<uuid>

Filter by quickstart ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully retrieved conversations

Paginated response containing conversations

data
Conversation · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.